<?php
/*
Plugin Name: Free Dictionary
Plugin URI: http://www.freedictionary.org/external/wordpress/
Description: Free Dictionary Sidebar Widget for WordPress provides an English Dictionary that gives you English definitions, synonyms, pronunciation, spelling and more.


Version: 1.0.0
Author: Baris Efe
Author URI: http://www.freedictionary.org
*/

function wp_widget_freedictionary($args) {
	extract($args);
	$options = get_option('widget_freedictionary');
	$title = $options['title'];
	if ( empty($title) )
		$title = 'Free Dictionary';
	$search_button_label = $options['search_button_label'];
	if ( empty($search_button_label) )
		$search_button_label = 'Search';
		
?>
		<?php echo $before_widget; ?>
			<?php $title ? print($before_title . $title . $after_title) : null; ?>
			<form name="freedictionary" method="get" action="http://www.freedictionary.org/" target="_blank">
			<input name="Query" id="Query" maxlength="100"  type="text" style="max-width: 150px;" /><br>
			<input type="submit" name="Submit" value="<?php echo $search_button_label?>">
			</form>
		<?php echo $after_widget; ?>
<?php
}

function wp_widget_freedictionary_control() {
		
	$options = $newoptions = get_option('widget_freedictionary');
	if ( $_POST["freedictionary-submit"] ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST["freedictionary-title"]));
		$newoptions['search_button_label'] = stripslashes($_POST["freedictionary-search-button-label"]);
		$newoptions['selectFrom'] = stripslashes($_POST["freedictionary-selectFrom"]);
		$newoptions['selectTo'] = stripslashes($_POST["freedictionary-selectTo"]);
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_freedictionary', $options);
	}
	$title = attribute_escape($options['title']);
	$search_button_label = attribute_escape($options['search_button_label']);
	$default_language_from = attribute_escape($options['selectFrom']);
	if ( empty($default_language_from) )
		$default_language_from = 'english';
	$default_language_to = attribute_escape($options['selectTo']);
	if ( empty($default_language_to) )
		$default_language_to = 'spanish';
	?>
	<p>
		<label for="freedictionary-title"><?php _e('Title'); ?></label>
		<br /><input style="width: 200px;" id="freedictionary-title" name="freedictionary-title" type="text" value="<?php echo $title; ?>" />
	</p>
	<p>
		<label for="freedictionary-search-button-label"><?php _e('Search Button Label'); ?></label>
		<br /><input style="width: 200px;" id="freedictionary-search-button-label" name="freedictionary-search-button-label" type="text" value="<?php echo $search_button_label; ?>" />
	</p>
	<input type="hidden" id="freedictionary-submit" name="freedictionary-submit" value="1" />
<?php
}

function wp_widget_freedictionary_register() {
	$dimension = array('height' => 180, 'width' => 200);
	$class = array('classname' => 'widget_freedictionary');
	wp_register_sidebar_widget('freedictionary', __('Free Dictionary'), 'wp_widget_freedictionary', $class);
	wp_register_widget_control('freedictionary', __('Free Dictionary'), 'wp_widget_freedictionary_control', $dimension);
}

add_action('plugins_loaded','wp_widget_freedictionary_register');

?>